namespace = Cdeffba8c


[ShaderRegexCrossIBCapabilityPoseCB1]
shader_model = vs_5_0
filter_index = 200

[ShaderRegexCrossIBCapabilityPoseCB1.Pattern]
dcl_constantbuffer CB1\[4\d{3}\], dynamicIndexed\n(?:dcl_[^\n]*\n)*?dcl_resource_structured t0, 16\n

[ShaderRegexCrossIBCapabilityPrepassCB2]
shader_model = vs_5_0
filter_index = 201

[ShaderRegexCrossIBCapabilityPrepassCB2.Pattern]
(?s)dcl_constantbuffer CB2\[4\d{3}\], dynamicIndexed\n.*?dcl_constantbuffer CB3\[11\], immediateIndexed\n.*?dcl_output o(?:6|7)\.x\ndcl_temps \d+\n

[ShaderRegexCrossIBCapabilityMaterialCB2]
shader_model = vs_5_0
filter_index = 202

[ShaderRegexCrossIBCapabilityMaterialCB2.Pattern]
(?s)dcl_constantbuffer CB2\[4\d{3}\], dynamicIndexed\n.*?dcl_constantbuffer CB3\[11\], immediateIndexed\n.*?dcl_output o(?:9|10)\.[xyzw]+\ndcl_temps \d+\n

[ShaderRegexCrossIBCapabilityOutlineCB2]
shader_model = vs_5_0
filter_index = 203

[ShaderRegexCrossIBCapabilityOutlineCB2.Pattern]
(?s)dcl_constantbuffer CB2\[4\d{3}\], dynamicIndexed\n.*?dcl_constantbuffer CB3\[1[4-6]\], immediateIndexed\n.*?dcl_output o7\.x\ndcl_temps \d+\n

[ShaderRegexCrossIBCapabilityEffectCB2]
shader_model = vs_5_0
filter_index = 204

[ShaderRegexCrossIBCapabilityEffectCB2.Pattern]
(?:dcl_constantbuffer CB1\[(?:[1-9]|[12]\d|3\d)\], immediateIndexed\n(?:dcl_[^\n]*\n)*?dcl_constantbuffer CB2\[4\d{3}\], dynamicIndexed\n(?:dcl_[^\n]*\n)*?dcl_constantbuffer CB3\[(?:[1-9]|1\d)\], immediateIndexed\n(?:dcl_[^\n]*\n)*?dcl_resource_structured t0, 16\n(?:dcl_[^\n]*\n)*?dcl_input v2\.xyzw\n(?:dcl_[^\n]*\n)*?dcl_input v3\.xyzw\n|dcl_constantbuffer CB1\[(?:[1-9]|[12]\d|3\d)\], immediateIndexed\n(?:dcl_[^\n]*\n)*?dcl_constantbuffer CB2\[4\d{3}\], dynamicIndexed\n(?:dcl_[^\n]*\n)*?dcl_constantbuffer CB[34]\[4\d{3}\], dynamicIndexed\n(?:dcl_[^\n]*\n)*?dcl_input v2\.xyzw\n(?:dcl_[^\n]*\n)*?dcl_input v3\.xyzw\n)

[ShaderRegexCrossIBCapabilityEffectCB3]
shader_model = vs_5_0
filter_index = 205

[ShaderRegexCrossIBCapabilityEffectCB3.Pattern]
dcl_constantbuffer CB0\[2\], immediateIndexed\ndcl_constantbuffer CB1\[82\], immediateIndexed\ndcl_constantbuffer CB2\[104\], immediateIndexed\ndcl_constantbuffer CB3\[4\d{3}\], dynamicIndexed\ndcl_constantbuffer CB4\[\d+\], immediateIndexed\n(?:dcl_(?!constantbuffer)[^\n]*\n)*?dcl_resource_structured t0, 16\n
